EJECT(1) | General Commands Manual | EJECT(1)

# NAME

eject — eject a floppy disk, cdrom or tape

# SYNOPSIS

eject | [-fv] [-l | -L | -U] [-t device-type] [-d] device

eject | -n

# DESCRIPTION

The eject program ejects a medium from the specified device. It can also load a cdrom in the drive if this operation is supported by the hardware. The device argument specifies a device either by its full path name (identified by a /dev/ prefix), or by one of the built-in nicknames. If the medium contains a file system that is currently mounted, eject will attempt to unmount the file system before ejecting.

The following options are available:

-d
  Deprecated.
-f
  Force the eject operation without attempting to unmount any file systems first.
-l
  Load media in the drive (only supported for the cdrom device type).
-L
  Lock the media into the drive (but see BUGS below).
-n
  List the built-in nicknames on standard output.
-t device-type
  Specify the device type. The argument must be one of diskette, floppy, cdrom, disk, or tape. This option is necessary when ejecting a device for which no built-in knowledge is available.
-U
  Unlock the media from the drive.
-v
  Display some of the actions taken on standard output.

# BUGS

Most disk drivers automatically lock the media on the first open and unlock it on the last close, making ‘`eject -L`' almost useless, since when it closes the device, it gets unlocked again.

October 6, 2001 | NetBSD 6.0